Last modified: 2011-04-14 15:11:52 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 20714 - HTML tidy doesn't work for 404 pages like it does for existing pages (doesn't add missing closing tags anymore e.g.)
HTML tidy doesn't work for 404 pages like it does for existing pages (doesn't...
Status: NEW
Product: MediaWiki
Classification: Unclassified
Parser (Other open bugs)
unspecified
All All
: Low enhancement with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
http://de.wiktionary.org/wiki/anymiss...
: code-update-regression
Depends on:
Blocks: tidy
  Show dependency treegraph
 
Reported: 2009-09-18 09:11 UTC by Melancholie
Modified: 2011-04-14 15:11 UTC (History)
0 users

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Melancholie 2009-09-18 09:11:09 UTC
404 pages are invalid, <br> tags are not closed (<br />); monobook sidebar gets moved down.

Example:
[[wikt:de:Wiktionmary:Eintrag_erstellen]] (HTML line 114: <td><br>)

Original source code (non-404, working):
[[wikt:de:MediaWiki:Noarticletext/]] (contains |<br>)

Is HTML tidy or similar broken for 404 pages?
Comment 1 Melancholie 2009-09-18 09:22:48 UTC
Note that I need to fix [[wikt:de:MediaWiki:Noarticletext/]], cannot wait.
See
http://de.wiktionary.org/w/index.php?title=MediaWiki%3ANoarticletext%2F&diff=1069725&oldid=916381

Feel free to revert the change for a moment if you want to check or test it.
But this should be reproduceable on a local wiki too, of course. ;-)
Comment 2 Melancholie 2009-09-18 09:26:53 UTC
Oops, <br> wasn't the reason (I already wondered myself).

It was a missing closing </div> tag:
http://de.wiktionary.org/w/index.php?title=MediaWiki%3ANoarticletext%2F&diff=1069727&oldid=1069725
Origin:
http://de.wiktionary.org/w/index.php?title=MediaWiki:Noarticletext/&diff=prev&oldid=176465

The question now is: Why did it work for years, but now not anymore?

It seems that on [[wikt:de:MediaWiki:Noarticletext/]] a </div> tag had been added (HTML tidy?), but not for 404 pages anymore.
Comment 3 Melancholie 2009-09-18 09:31:36 UTC
To be clear: HTML tidy (or whatever) works for [[wikt:de:MediaWiki:Noarticletext/]] and all other 'existing' pages. It just adds the missing "</div>" tag.

But not for 404 pages (using [[MediaWiki:Noarticletext]] as basis); although it once did.
Comment 4 Brion Vibber 2009-09-18 22:35:54 UTC
Tidy isn't used on UI messages as an optimization. Make sure the message text is correct.
Comment 5 Melancholie 2009-09-21 09:20:26 UTC
Hmm, that's perfectly ok, but the weird thing is that it did work very well until shortly.
But maybe anything else has changed that now just causes the move down of the sidebar in those cases.

If you do not see any other reason, feel free to close this bug (as the actual bug was fixed on-wiki).

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links